
// TestTLXLabelPaintDlg.h : 头文件
//

#pragma once


// CTestTLXLabelPaintDlg 对话框
class CTestTLXLabelPaintDlg : public CDialogEx
{
// 构造
public:
	CTestTLXLabelPaintDlg(CWnd* pParent = NULL);	// 标准构造函数

// 对话框数据
#ifdef AFX_DESIGN_TIME
	enum { IDD = IDD_TESTTLXLABELPAINT_DIALOG };
#endif

	CString m_strLoadFileName;
	int m_labelHandle;
	HBITMAP m_hBit;

	BOOL OpenLabelFormat(LPCTSTR lpszLabelFormat);
	BOOL OpenLabelFormatXML(LPCTSTR lpszXML);
	BOOL RefreshLabelView();

	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV 支持

	int m_nTestCount;

// 实现
protected:
	HICON m_hIcon;

	// 生成的消息映射函数
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	DECLARE_MESSAGE_MAP()
public:
	afx_msg void OnBnClickedOk();
	afx_msg void OnBnClickedOprnLabel();
	afx_msg void OnBnClickedOk2();
	afx_msg void OnBnClickedSprintSetprn();
	afx_msg void OnCbnSelchangePrinter();
	afx_msg void OnCbnSelchangeVariable();
	afx_msg void OnBnClickedSetvar();
	afx_msg void OnBnClickedSave();
	afx_msg void OnBnClickedSetvar2();
	afx_msg void OnBnClickedOk3();
	afx_msg void OnBnClickedOk4();
	afx_msg void OnBnClickedOk7();
};
